Subject: [MSEC] multicast or unicast?

From: [email-masked]
Date: Sat, 17 Feb 2007 13:05:36 -0500

Hi Mark and Elena, 

I think it might be worth clarifying one aspect of how the LKH KEK works 
that Mark's e-mail omitted. In LKH, the GCKS gives each group member at its 
registration time a set of KEK, one KEK for each virtual node in the group 
member's position in the logical key hierarchy. As a consequence, all but 
one of a group member's LKH KEK are shared with a sub-group of other 
members. Registration is a unicast protocol exchange. 

The GCKS discloses each KEK in the logical key hierarchy tree to a distinct 
sub-group of the overall group membership. When multicasting a LKH rekey 
message, the GCKS will encrypt the new group key, once for each sub-group of 
authorized group members who possess a given KEK. The GCKS chooses that set 
of KEK such that only the authorized set of group members can decrypt the 
rekey message using one of their KEK. 

Elena: I'd recommend looking at RFC2627 for the details with this 
clarification in mind. Also you may want to look at RFC4535 appendix A. 

hth,
   George 

 -------------------------------------------
Date: Sat, 17 Feb 2007 06:39:46 -0800
From: Mark Baugher <[email-masked]>
To: Elena Scialpi <[email-masked]>
Cc: [email-masked]
Subject: Re: [MSEC] multicast or unicast? 

hi Elena,
  Are you using a referring to a particular LKH implementation or of
RFC 2627 in general?  In general, the KEK is a pairwise key that is
established between the controller/server and the member.  So one
would use a pairwise, authenticated key establishment procedure in
order to establish this key between the two.  LKH can work without a
backchannel, however, provided there is some means for the controller/
server to communicate securely with the member.  For example, if the
server had the member's public key, it could encrypt a symmetric key
(the KEK) in this public key and multicast it to the group.  All
group members would receiver this message but only one member would
be able to use it, and there must be some means to uniquely identify
this member. 

Mark
On Feb 12, 2007, at 7:25 AM, Elena Scialpi wrote: 

> Hi,
> if I use  LKH each member has one KEK(different to the other
> member) to
> decrypt the TEK.
> To PUSH the TEK I must use  unicast messages!   Can't  I  use a
> multicast message? 
>
> Thank you in advance!
> Elena Scialpi 
>
> -- 
>
>
> LIIS
> Laboratorio per l'Internetworking e l'Interoperabilita' tra i Sistemi
> http://liis.unile.it
> http://www.campusdelsalento.it/
> Office-Fax: (+39) 0832-297310
> c/o Dipartimento di Ingegneria dell'Innovazione
> Via per Monteroni
> 73100 Lecce LE, Italy 
>
> 
>
> _______________________________________________
> MSEC mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/msec

_______________________________________________
MSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/msec 

_______________________________________________
MSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/msec